From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 19 January 2012<P>

B.K., about <a href="/blend/wv.cgi?id=2012.12.02.20.15.26215">A Girl Who Reads</a>:<BR>
<BR>
I freaking LOVED this!
<HR>
From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 19 January 2013<P>

EMA, about <a href="/blend/wv.cgi?id=2013.01.11.14.56.32057">Winter is Over</a>:<BR>
<BR>
Some women would give their soul for such words...nicely done!
<HR>
From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 19 January 2013<P>

musicalduck, about <a href="/blend/wv.cgi?id=2013.01.16.21.08.12121">Thank You</a>:<BR>
<BR>
Powerful, this compact gem.<BR>
Its not always about courage...but this says it well.
<HR>
From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 19 January 2013<P>

Star of David, about <a href="/blend/wv.cgi?id=2013.01.16.00.54.27661">hard to get</a>:<BR>
<BR>
WOOOOOOOOT!<BR>
<BR>
Say it again!
<HR>
From: <a href="/blend/av.cgi?id=10">Galadrial</a><BR>
Date: 19 January 2013<P>

Star of David, about <a href="/blend/wv.cgi?id=2013.01.09.06.45.28815">25 reasons why I left</a>:<BR>
<BR>
I "get this...and wish just a little that i did not...
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 19 January 2013<P>

Thanks Galadrial, I love it too..that you tube came from my kids.<BR>
<BR>
bk
<HR>